Skip to main content
GET
Get store location

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

OK

Response for store location.

id
string
required

The ID of the store location.

Example:

"stl_01234567890123456789"

name
string
required

The name of the store location.

Example:

"White House"

phoneNumber
string
required

The phone number of the person at the store location.

Example:

"+1234567890"

location
ParsedAddressInputSerializer · object
required

The location of the store location.

zoneIds
string[] | null
required

The zone ids of the store location.

Example:
zoneAssociations
Zoneassociations · object[] | null
required

The zone associations of the store location.

Example:
tags
string[] | null
required

The tags of the store location.

Example:

"['service:rapid', 'franchise_location']"

integrationMetadata
Integrationmetadata · object | null
required

The integration metadata of the store location.

Example:
externalId
string | null

Store location unique identifier from an external system.

Example:

"40123"

operatingHours
Operatinghours · object | null

[Integration Specific]: An object with keys that correspond to days of week (monday, tuesday, etc) and their corresponding operating hours / delivery windows.

Example:
prepTimeMinutes
integer | null

[Integration Specific]: the preparation time to apply for orders, if relying on Nash to compute the delivery windows. This only applies to specific integrations.

blackoutDates
string[] | null

The blackout dates of the store location.

Example:
firstName
string | null

First name of the person at the store location. If unknown, pass 'Manager'. Limited to 80 characters.

Example:

"Taylor"

lastName
string | null

Last name of the person at the store location. If unknown, pass 'Manager'. Limited to 80 characters.

Example:

"Swift"

email
string | null

The email of the person at the store location.

Example:

"taylor@swift.com"

pickupInstructions
string | null

The pickup instructions of the store location. Limited to 280 characters. Nash Recommended Input: Order [insert order number] for [insert customer name] from [business name]

Example:

"Once you arrive at the store, please click above to let us know you are here. Then, go ahead and find a sales associate inside - they'll be happy to help you!"